## ros-noetic-jackal-navigation 0.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(jackal_navigation)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/include/amcl.launch)
roslaunch_add_file_check(launch/amcl_demo.launch)
roslaunch_add_file_check(launch/include/gmapping.launch)
roslaunch_add_file_check(launch/gmapping_demo.launch)
roslaunch_add_file_check(launch/include/move_base.launch)
roslaunch_add_file_check(launch/odom_navigation_demo.launch)

install(
DIRECTORY launch maps params
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-jackal-navigation (0.8.6-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 16 Nov 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.5-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-jackal-navigation (0.8.4-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-noetic-jackal-navigation (0.8.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.2-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.5-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.4-1buster) buster; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-jackal-navigation (0.7.2-1buster) buster; urgency=high

  * Use the JACKAL_LASER_TOPIC env var as the default for the scan topic in amcl + gmapping demos (#74 <https://github.com/jackal/jackal/issues/74>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.1-1buster) buster; urgency=high

  * Remove the leading / from the gmapping default scan topic
  * Expose the scan_topic and use_map_topic parameters in the demo launch files
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.4-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-jackal-navigation (0.6.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.2-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-navigation (0.5.4-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-navigation (0.5.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-noetic-jackal-navigation (0.5.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.5.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.4.2-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.4.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.4.0-1buster) buster; urgency=high

  * Removed redundant local and global costmaps.
  * Fixed location of non-demo launch files in roslaunch-file-check in CMakeList
  * Moved rviz configurations to jackal_viz.
  * Changed config/ to params/. Moved non-demo launch files to launch/include.
  * Added gps_transform.launch for transforming GPS data to robot's world frame. Also added gps_integration_demo.launch for fusing GPS data with odomtery data. This node generates map->odom transform.
  * Modified AMCL's parameters, map and demo for Jackal.
  * Modified slam_gmapping parameters for Jackal for building a map.
  * Modified costmap and base planner parameters for the navigation without map with obstacle avoidance using laser scanner.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-noetic-jackal-navigation (0.3.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 20:25:00 -0000

ros-noetic-jackal-navigation (0.2.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 12:54:00 -0000

ros-noetic-jackal-navigation (0.2.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

ros-noetic-jackal-navigation (0.1.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 06 Sep 2014 04:00:00 -0000

ros-noetic-jackal-navigation (0.1.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-jackal-navigation
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-jackal-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-amcl, ros-noetic-gmapping, ros-noetic-map-server, ros-noetic-move-base, ros-noetic-urdf, ros-noetic-xacro
Description: Launch files and code for autonomous navigation of the Jackal

## ros-noetic-jackal-navigation 0.8.8

=== debian/changelog ===
ros-noetic-jackal-navigation (0.8.8-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 05 Jun 2023 04:00:00 -0000

ros-noetic-jackal-navigation (0.8.7-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 19 Apr 2023 04:00:00 -0000

ros-noetic-jackal-navigation (0.8.6-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 16 Nov 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.5-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-jackal-navigation (0.8.4-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-noetic-jackal-navigation (0.8.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-jackal-navigation (0.8.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.5-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.4-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-jackal-navigation (0.7.2-1focal) focal; urgency=high

  * Use the JACKAL_LASER_TOPIC env var as the default for the scan topic in amcl + gmapping demos (#74 <https://github.com/jackal/jackal/issues/74>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.1-1focal) focal; urgency=high

  * Remove the leading / from the gmapping default scan topic
  * Expose the scan_topic and use_map_topic parameters in the demo launch files
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-jackal-navigation (0.7.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.4-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-jackal-navigation (0.6.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-jackal-navigation (0.6.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-navigation (0.5.4-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-navigation (0.5.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-noetic-jackal-navigation (0.5.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.5.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.4.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.4.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-noetic-jackal-navigation (0.4.0-1focal) focal; urgency=high

  * Removed redundant local and global costmaps.
  * Fixed location of non-demo launch files in roslaunch-file-check in CMakeList
  * Moved rviz configurations to jackal_viz.
  * Changed config/ to params/. Moved non-demo launch files to launch/include.
  * Added gps_transform.launch for transforming GPS data to robot's world frame. Also added gps_integration_demo.launch for fusing GPS data with odomtery data. This node generates map->odom transform.
  * Modified AMCL's parameters, map and demo for Jackal.
  * Modified slam_gmapping parameters for Jackal for building a map.
  * Modified costmap and base planner parameters for the navigation without map with obstacle avoidance using laser scanner.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-noetic-jackal-navigation (0.3.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 20:25:00 -0000

ros-noetic-jackal-navigation (0.2.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 12:54:00 -0000

ros-noetic-jackal-navigation (0.2.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

ros-noetic-jackal-navigation (0.1.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 06 Sep 2014 04:00:00 -0000

ros-noetic-jackal-navigation (0.1.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jackal-navigation//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
